@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;600&family=Quicksand:wght@400&display=swap');

body {
    padding: 0;
    margin: 0;
    font-family: 'Quicksand', sans-serif;
}

.header {
    background-color: #572469;
    color: white;
    padding: 10px 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header img {
    width: 150px;
    height: auto;
}

.header nav a {
    color: white;
    margin-left: 20px;
    text-decoration: none;
    font-weight: 600;
}

.header nav a:hover {
    text-decoration: underline;
}

.container-fluid {
    max-width: 90%;
}

.custom-button {
    background-color: #572469;
    border-color: #572469;
    color: white;
}

.custom-button:hover {
    background-color: #421b4e;
    border-color: #421b4e;
    color: white;
}

.custom-title {
    font-family: 'Poppins', sans-serif;
    letter-spacing: -0.20;
    text-align: center;
}

.custom-text {
    font-family: 'Quicksand', sans-serif;
    text-align: left;
}

.loader {
    border: 16px solid #f3f3f3;
    border-radius: 50%;
    border-top: 16px solid #572469;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
    display: none;
    margin: auto;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

/* Chat bubble styles */
.chat-bubble {
    max-width: 80%; /* Increased max width */
    padding: 10px;
    margin: 10px;
    border-radius: 15px;
    position: relative;
    font-family: 'Quicksand', sans-serif;
    display: inline-block;
    word-wrap: break-word;
}

.chat-bubble::before {
    content: '';
    position: absolute;
    width: 0;
    height: 0;
    border-style: solid;
}

.chat-bubble.assistant {
    background-color: #f1f1f1;
    text-align: left;
    align-self: flex-start;
}

.chat-bubble.assistant::before {
    border-width: 10px 10px 10px 0;
    border-color: transparent #f1f1f1 transparent transparent;
    left: -10px;
    top: 10px;
}

.chat-bubble.user {
    background-color: #572469;
    color: white;
    text-align: right;
    align-self: flex-end;
}

.chat-bubble.user::before {
    border-width: 10px 0 10px 10px;
    border-color: transparent transparent transparent #572469;
    right: -10px;
    top: 10px;
}

.chat-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    max-height: 80vh; /* Increased fixed height for chat container */
    overflow-y: auto; /* Enable vertical scrolling */
}

.center-text {
    text-align: center;
}

.chat-container-centered {
    display: flex;
    justify-content: center;
}

.chat-box-centered {
    width: 100%;
    max-width: 1200px; /* Reduced max-width */
    margin: 0 auto;
}
